r2513 - jhalfs/branches/experimental/extras

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sun Apr 9 10:29:46 PDT 2006


Author: manuel
Date: 2006-04-09 11:29:45 -0600 (Sun, 09 Apr 2006)
New Revision: 2513

Modified:
   jhalfs/branches/experimental/extras/do_ica_work
Log:
Added do_ica_work code.

Modified: jhalfs/branches/experimental/extras/do_ica_work
===================================================================
--- jhalfs/branches/experimental/extras/do_ica_work	2006-04-09 17:17:52 UTC (rev 2512)
+++ jhalfs/branches/experimental/extras/do_ica_work	2006-04-09 17:29:45 UTC (rev 2513)
@@ -1,8 +1,35 @@
 #!/bin/bash
 # $Id$
+
+# Acknowledgment:
+#  The following code is a modified version of an original work written by
+#  Greg Schafer for the "DIY Linux" project and is included here with his
+#  permission.
+#  ref: http://www.diy-linux.org
+#
+
 set -e
 
-echo "This is a placeholder for now"
+local RAWDIFF=/tmp/rawdiff.$$
+local REPORT="${3}/REPORT.${1}V${2}"
 
-exit
+cd $4
 
+echo -e "Diffing ${1} and ${2}... " > $REPORT
+diff -ur ${1} ${2} > $RAWDIFF || :
+
+echo -e "The list of binary files that differ:\n" > $REPORT
+grep "iles.*differ$" $RAWDIFF >> $REPORT
+
+echo -e "The list of files that exist \"only in\" 1 of the directories:\n" >> $REPORT
+
+if grep "^Only in" $RAWDIFF >/dev/null 2>&1; then
+  grep "^Only in" $RAWDIFF >> $REPORT
+else
+  echo NONE >> $REPORT
+fi
+
+grep -v "iles.*differ$" $RAWDIFF | \
+grep -v "^Only in" > ${ICA_DIR}/${1}V${2}.ASCII.DIFF
+
+rm -f $RAWDIFF




More information about the alfs-log mailing list